CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation on Windows, Mac and other Unsupported Platforms

Compile OF 2.3 on Mac OS X .... the patch

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree7Likes

Reply
 
LinkBack Thread Tools Display Modes
Old   April 1, 2014, 08:59
Default
  #21
New Member
 
nasir musa yakubu
Join Date: Mar 2014
Location: Birmingham
Posts: 11
Rep Power: 3
esujby is on a distinguished road
Quote:
Originally Posted by alexeym View Post
Hi,

try rereading what I've written in my reply. I will repeat it here in bold:

1. the patch here is for OpenFOAM-2.3.x (git version), patch in the blog is for OpenFOAM-2.3.0 (release source packs).

so basically you're trying to apply patch for git version of OpenFOAM (acquired with git clone git://github.com/OpenFOAM/OpenFOAM-2.3.x.git) to the release packs (you've downloaded OpenFOAM-2.3.0.tgz and ThirdParty-2.3.0.tgz from openfoam.org). As a result it fails.
Hello Alexey,

Apologies for not making it very clear! the post i made on this thread was based on my previous installation attempts, which i followed the procedure on wiki, but i abandoned that particular method as i ve tried so many attempts and it didnt work.That been said, my latest installations attempts has been based on this your blogs installation method which is this:

http://matveichev.blogspot.co.uk/201...l#comment-form

i also got all the installation folders from there, tried to install it so many times but had problems applying the patch. i thought there was a problem with the patch on your blog and downloaded the other patch in this forum which is OpenFOAM-2.3.x-Mac.Patch but now that you have explained it to me, i would delete it straight away and only use the one on your blog which is OpenFOAM-2.3.0-2.Patch.

anyhows i have tried applying both patches but it didnt work but will try and follow the procedure on your blog from the beginning.

Ihave followed the exact same procedure as it is in your blog mr alex, but when it comes to applying the patches, i end up getting the following:

Last login: Tue Apr 1 16:26:19 on ttys001
nasirs-imac:~ nasiryakubu$ cd /Volumes/OpenFOAM-v2.3/OpenFOAM-2.3.0
nasirs-imac:OpenFOAM-2.3.0 nasiryakubu$ ls -lstr
total 208
0 drwxr-xr-x@ 5 nasiryakubu staff 782 11 Feb 11:59 wmake
0 drwxr-xr-x@ 16 nasiryakubu staff 646 11 Feb 11:59 tutorials
0 drwxr-xr-x@ 37 nasiryakubu staff 1292 11 Feb 11:59 src
0 drwxr-xr-x@ 6 nasiryakubu staff 272 11 Feb 11:59 doc
0 drwxr-xr-x@ 5 nasiryakubu staff 204 11 Feb 11:59 applications
8 -rw-r--r--@ 1 nasiryakubu staff 1587 11 Feb 11:59 README.org
16 -rw-r--r--@ 1 nasiryakubu staff 7611 11 Feb 11:59 README.html
72 -rw-r--r--@ 1 nasiryakubu staff 35647 11 Feb 11:59 COPYING
8 -rwxr-xr-x@ 1 nasiryakubu staff 932 11 Feb 11:59 Allwmake
104 -rw-r--r--@ 1 nasiryakubu staff 51144 1 Apr 15:59 OpenFOAM-2.3.0-2.patch
0 drwxr-xr-x@ 6 nasiryakubu staff 340 1 Apr 16:16 etc
0 drwxr-xr-x@ 3 nasiryakubu staff 2142 1 Apr 16:16 bin
nasirs-imac:OpenFOAM-2.3.0 nasiryakubu$ git apply OpenFOAM-2.3.0-2.patch
error: patch failed: applications/solvers/combustion/fireFoam/Make/options:36
error: applications/solvers/combustion/fireFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/compressible/rhoSimpleFoam/rhoSimplecFoam/Make/options:13
error: applications/solvers/compressible/rhoSimpleFoam/rhoSimplecFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/heatTransfer/chtMultiRegionFoam/chtMultiRegionSimpleFoam/Make/options:27
error: applications/solvers/heatTransfer/chtMultiRegionFoam/chtMultiRegionSimpleFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/incompressible/adjointShapeOptimizationFoam/Make/options:6
error: applications/solvers/incompressible/adjointShapeOptimizationFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/incompressible/simpleFoam/SRFSimpleFoam/Make/options:11
error: applications/solvers/incompressible/simpleFoam/SRFSimpleFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/Make/options:21
error: applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelDyMFoam/Make/options:27
error: applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelDyMFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/lagrangian/reactingParcelFilmFoam/Make/options:30
error: applications/solvers/lagrangian/reactingParcelFilmFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/multiphase/multiphaseEulerFoam/Make/options:17
error: applications/solvers/multiphase/multiphaseEulerFoam/Make/options: patch does not apply
error: patch failed: applications/utilities/mesh/generation/blockMesh/Make/options:6
error: applications/utilities/mesh/generation/blockMesh/Make/options: patch does not apply
error: patch failed: applications/utilities/mesh/generation/snappyHexMesh/Make/options:1
error: applications/utilities/mesh/generation/snappyHexMesh/Make/options: patch does not apply
error: patch failed: applications/utilities/mesh/manipulation/renumberMesh/Make/options:1
error: applications/utilities/mesh/manipulation/renumberMesh/Make/options: patch does not apply
error: patch failed: applications/utilities/miscellaneous/foamDebugSwitches/Make/options:42
error: applications/utilities/miscellaneous/foamDebugSwitches/Make/options: patch does not apply
error: patch failed: applications/utilities/parallelProcessing/reconstructParMesh/Make/options:4
error: applications/utilities/parallelProcessing/reconstructParMesh/Make/options: patch does not apply
error: patch failed: applications/utilities/postProcessing/dataConversion/foamToEnsight/Make/options:1
error: applications/utilities/postProcessing/dataConversion/foamToEnsight/Make/options: patch does not apply
error: patch failed: applications/utilities/postProcessing/miscellaneous/execFlowFunctionObjects/Make/options:9
error: applications/utilities/postProcessing/miscellaneous/execFlowFunctionObjects/Make/options: patch does not apply
error: patch failed: applications/utilities/postProcessing/turbulence/R/Make/options:10
error: applications/utilities/postProcessing/turbulence/R/Make/options: patch does not apply
error: patch failed: applications/utilities/postProcessing/turbulence/createTurbulenceFields/Make/options:5
error: applications/utilities/postProcessing/turbulence/createTurbulenceFields/Make/options: patch does not apply
error: patch failed: applications/utilities/postProcessing/velocityField/Pe/Make/options:12
error: applications/utilities/postProcessing/velocityField/Pe/Make/options: patch does not apply
error: patch failed: applications/utilities/postProcessing/wall/wallShearStress/Make/options:7
error: applications/utilities/postProcessing/wall/wallShearStress/Make/options: patch does not apply
error: patch failed: applications/utilities/postProcessing/wall/yPlusLES/Make/options:8
error: applications/utilities/postProcessing/wall/yPlusLES/Make/options: patch does not apply
error: patch failed: applications/utilities/postProcessing/wall/yPlusRAS/Make/options:10
error: applications/utilities/postProcessing/wall/yPlusRAS/Make/options: patch does not apply
error: patch failed: applications/utilities/preProcessing/applyBoundaryLayer/Make/options:8
error: applications/utilities/preProcessing/applyBoundaryLayer/Make/options: patch does not apply
error: bin/addr2line4Mac.py: already exists in working directory
error: patch failed: bin/paraFoam:68
error: bin/paraFoam: patch does not apply
error: patch failed: etc/bashrc:63
error: etc/bashrc: patch does not apply
error: patch failed: etc/config/CGAL.sh:31
error: etc/config/CGAL.sh: patch does not apply
error: patch failed: etc/config/paraview.sh:102
error: etc/config/paraview.sh: patch does not apply
error: patch failed: etc/config/settings.sh:46
error: etc/config/settings.sh: patch does not apply
error: patch failed: src/OSspecific/POSIX/POSIX.C:53
error: src/OSspecific/POSIX/POSIX.C: patch does not apply
error: patch failed: src/OSspecific/POSIX/clockTime/clockTime.H:37
error: src/OSspecific/POSIX/clockTime/clockTime.H: patch does not apply
error: patch failed: src/OSspecific/POSIX/fileStat.C:29
error: src/OSspecific/POSIX/fileStat.C: patch does not apply
error: patch failed: src/OSspecific/POSIX/printStack.C:31
error: src/OSspecific/POSIX/printStack.C: patch does not apply
error: patch failed: src/OSspecific/POSIX/signals/sigFpe.C:42
error: src/OSspecific/POSIX/signals/sigFpe.C: patch does not apply
error: patch failed: src/OSspecific/POSIX/signals/sigFpe.H:55
error: src/OSspecific/POSIX/signals/sigFpe.H: patch does not apply
error: patch failed: src/OpenFOAM/db/dictionary/functionEntries/codeStream/codeStream.C:30
error: src/OpenFOAM/db/dictionary/functionEntries/codeStream/codeStream.C: patch does not apply
error: patch failed: src/OpenFOAM/db/dynamicLibrary/codedBase/codedBase.C:228
error: src/OpenFOAM/db/dynamicLibrary/codedBase/codedBase.C: patch does not apply
error: patch failed: src/OpenFOAM/db/dynamicLibrary/dynamicCode/dynamicCode.C:38
error: src/OpenFOAM/db/dynamicLibrary/dynamicCode/dynamicCode.C: patch does not apply
error: patch failed: src/OpenFOAM/db/dynamicLibrary/dynamicCode/dynamicCode.H:98
error: src/OpenFOAM/db/dynamicLibrary/dynamicCode/dynamicCode.H: patch does not apply
error: patch failed: src/OpenFOAM/primitives/Scalar/doubleFloat.H:31
error: src/OpenFOAM/primitives/Scalar/doubleFloat.H: patch does not apply
error: patch failed: src/conversion/ensight/part/ensightPart.C:51
error: src/conversion/ensight/part/ensightPart.C: patch does not apply
error: patch failed: src/conversion/ensight/part/ensightPartIO.C:63
error: src/conversion/ensight/part/ensightPartIO.C: patch does not apply
error: patch failed: src/dynamicMesh/fvMeshDistribute/fvMeshDistributeTemplates.C:231
error: src/dynamicMesh/fvMeshDistribute/fvMeshDistributeTemplates.C: patch does not apply
error: patch failed: src/fvOptions/Make/options:13
error: src/fvOptions/Make/options: patch does not apply
error: patch failed: src/parallel/decompose/ptscotchDecomp/Make/options:8
error: src/parallel/decompose/ptscotchDecomp/Make/options: patch does not apply
error: patch failed: src/parallel/decompose/scotchDecomp/Make/options:12
error: src/parallel/decompose/scotchDecomp/Make/options: patch does not apply
error: patch failed: src/renumber/SloanRenumber/Make/options:1
error: src/renumber/SloanRenumber/Make/options: patch does not apply
error: patch failed: src/renumber/zoltanRenumber/Make/options:2
error: src/renumber/zoltanRenumber/Make/options: patch does not apply
error: patch failed: wmake/rules/General/CGAL:10
error: wmake/rules/General/CGAL: patch does not apply
error: wmake/rules/darwinIntel64Clang/c: already exists in working directory
error: wmake/rules/darwinIntel64Clang/c++: already exists in working directory
error: wmake/rules/darwinIntel64Clang/c++Debug: already exists in working directory
error: wmake/rules/darwinIntel64Clang/c++Opt: already exists in working directory
error: wmake/rules/darwinIntel64Clang/c++Prof: already exists in working directory
error: wmake/rules/darwinIntel64Clang/cDebug: already exists in working directory
error: wmake/rules/darwinIntel64Clang/cOpt: already exists in working directory
error: wmake/rules/darwinIntel64Clang/cProf: already exists in working directory
error: wmake/rules/darwinIntel64Clang/general: already exists in working directory
error: wmake/rules/darwinIntel64Clang/mplibOPENMPI: already exists in working directory
nasirs-imac:OpenFOAM-2.3.0 nasiryakubu$ cd
nasirs-imac:~ nasiryakubu$ cd /Volumes/OpenFOAM-v2.3/ThirdParty-2.3.0
nasirs-imac:ThirdParty-2.3.0 nasiryakubu$ ls -lstr
total 248
8 -rwxr-x---@ 1 nasiryakubu staff 3864 6 Feb 15:31 makeQt
24 -rwxr-x---@ 1 nasiryakubu staff 9234 6 Feb 15:31 makeParaView4
24 -rwxr-x---@ 1 nasiryakubu staff 9152 6 Feb 15:31 makeParaView
8 -rwxr-x---@ 1 nasiryakubu staff 3643 6 Feb 15:31 makeLLVM
16 -rwxr-x---@ 1 nasiryakubu staff 6698 6 Feb 15:31 makeGcc48
16 -rwxr-x---@ 1 nasiryakubu staff 6773 6 Feb 15:31 makeGcc47
16 -rwxr-x---@ 1 nasiryakubu staff 6773 6 Feb 15:31 makeGcc46
16 -rwxr-x---@ 1 nasiryakubu staff 6778 6 Feb 15:31 makeGcc
8 -rwxr-x---@ 1 nasiryakubu staff 3349 6 Feb 15:31 makeCmake
8 -rwxr-x---@ 1 nasiryakubu staff 2484 6 Feb 15:31 AllwmakeLibccmio
8 -rwxr-x---@ 1 nasiryakubu staff 2170 6 Feb 15:31 Allclean
8 -rw-r-----@ 1 nasiryakubu staff 2682 6 Feb 16:46 README.org
24 -rw-r-----@ 1 nasiryakubu staff 10485 6 Feb 16:46 README.html
16 -rw-r--r--@ 1 nasiryakubu staff 6578 1 Apr 15:59 ThirdParty-2.3.0-1.patch
0 drwxr-xr-x 9 nasiryakubu staff 884 1 Apr 16:12 openmpi-1.6.5
0 drwxr-xr-x 9 nasiryakubu staff 1020 1 Apr 16:12 cmake-2.8.12.1
0 drwxr-xr-x 7 nasiryakubu staff 408 1 Apr 16:12 scotch_6.0.0
0 drwxr-xr-x 11 nasiryakubu staff 748 1 Apr 16:12 CGAL-4.3
0 drwxr-xr-x 19 nasiryakubu staff 1020 1 Apr 16:13 ParaView-4.1.0
24 -rwxr-xr-x 1 nasiryakubu staff 9237 1 Apr 16:18 makeCGAL
24 -rwxr-xr-x 1 nasiryakubu staff 10682 1 Apr 16:18 Allwmake
0 drwxr-xr-x 4 nasiryakubu staff 204 1 Apr 16:26 etc
nasirs-imac:ThirdParty-2.3.0 nasiryakubu$ git apply ThirdParty-2.3.0-1.patch
error: patch failed: Allwmake:52
error: Allwmake: patch does not apply
error: etc/wmakeFiles/scotch/Makefile.inc.i686_mac_darwin.shlib-OpenFOAM: already exists in working directory
error: patch failed: makeCGAL:128
error: makeCGAL: patch does not apply
nasirs-imac:ThirdParty-2.3.0 nasiryakubu$
thanks

nas

Last edited by esujby; April 1, 2014 at 11:31.
esujby is offline   Reply With Quote

Old   April 10, 2014, 19:44
Default
  #22
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by esujby View Post
Hello Alexey,

Apologies for not making it very clear! the post i made on this thread was based on my previous installation attempts, which i followed the procedure on wiki, but i abandoned that particular method as i ve tried so many attempts and it didnt work.That been said, my latest installations attempts has been based on this your blogs installation method which is this:

http://matveichev.blogspot.co.uk/201...l#comment-form

i also got all the installation folders from there, tried to install it so many times but had problems applying the patch. i thought there was a problem with the patch on your blog and downloaded the other patch in this forum which is OpenFOAM-2.3.x-Mac.Patch but now that you have explained it to me, i would delete it straight away and only use the one on your blog which is OpenFOAM-2.3.0-2.Patch.

anyhows i have tried applying both patches but it didnt work but will try and follow the procedure on your blog from the beginning.

Ihave followed the exact same procedure as it is in your blog mr alex, but when it comes to applying the patches, i end up getting the following:

Last login: Tue Apr 1 16:26:19 on ttys001
nasirs-imac:~ nasiryakubu$ cd /Volumes/OpenFOAM-v2.3/OpenFOAM-2.3.0
nasirs-imac:OpenFOAM-2.3.0 nasiryakubu$ ls -lstr
total 208
0 drwxr-xr-x@ 5 nasiryakubu staff 782 11 Feb 11:59 wmake
0 drwxr-xr-x@ 16 nasiryakubu staff 646 11 Feb 11:59 tutorials
0 drwxr-xr-x@ 37 nasiryakubu staff 1292 11 Feb 11:59 src
0 drwxr-xr-x@ 6 nasiryakubu staff 272 11 Feb 11:59 doc
0 drwxr-xr-x@ 5 nasiryakubu staff 204 11 Feb 11:59 applications
8 -rw-r--r--@ 1 nasiryakubu staff 1587 11 Feb 11:59 README.org
16 -rw-r--r--@ 1 nasiryakubu staff 7611 11 Feb 11:59 README.html
72 -rw-r--r--@ 1 nasiryakubu staff 35647 11 Feb 11:59 COPYING
8 -rwxr-xr-x@ 1 nasiryakubu staff 932 11 Feb 11:59 Allwmake
104 -rw-r--r--@ 1 nasiryakubu staff 51144 1 Apr 15:59 OpenFOAM-2.3.0-2.patch
0 drwxr-xr-x@ 6 nasiryakubu staff 340 1 Apr 16:16 etc
0 drwxr-xr-x@ 3 nasiryakubu staff 2142 1 Apr 16:16 bin
nasirs-imac:OpenFOAM-2.3.0 nasiryakubu$ git apply OpenFOAM-2.3.0-2.patch
error: patch failed: applications/solvers/combustion/fireFoam/Make/options:36
error: applications/solvers/combustion/fireFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/compressible/rhoSimpleFoam/rhoSimplecFoam/Make/options:13
error: applications/solvers/compressible/rhoSimpleFoam/rhoSimplecFoam/Make/options: patch does not apply
error: patch failed: applications/solvers/heatTransfer/chtMultiRegionFoam/chtMultiRegionSimpleFoam/Make/options:27
That and the output when you applied the regular patch-utility ("Reversed (or previously applied) patch detected!") lead me to the suspicion that you tried to apply the patch a second time. Could this be the case?
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   April 10, 2014, 20:08
Default
  #23
New Member
 
Youngkook Kim
Join Date: Jul 2013
Location: Singapore and South Korea
Posts: 18
Rep Power: 4
totalart is on a distinguished road
During compiling, following errors occurred. Can you advise me what the problem is? Thank you!

Make/darwinIntel64Gcc46DPOpt/STLsurfaceFormatASCII.C:312:23: fatal error: FlexLexer.h: No such file or directory
make: *** [Make/darwinIntel64Gcc46DPOpt/STLsurfaceFormatASCII.o] Error 1
Make/darwinIntel64Gcc46DPOpt/readSTLASCII.C:312:23: fatal error: FlexLexer.h: No such file or directory
make: *** [Make/darwinIntel64Gcc46DPOpt/readSTLASCII.o] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libmeshTools.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libedgeMesh.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libfiniteVolume.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/liblagrangian.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libgenericPatchFields.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libdecompositionMethods.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libdecompose.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libreconstruct.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libdistributed.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/librenumberMethods.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libSloanRenumber.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libconversion.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libsampling.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libextrudeModel.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libdynamicMesh.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libdynamicFvMesh.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libtopoChangerFvMesh.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/librandomProcesses.dylib] Error 1
make: *** [/Users/youngkookkim/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libfluidThermophysicalModels.dylib] Error 1

Last edited by totalart; April 19, 2014 at 13:06.
totalart is offline   Reply With Quote

Old   April 10, 2014, 22:30
Default
  #24
New Member
 
Youngkook Kim
Join Date: Jul 2013
Location: Singapore and South Korea
Posts: 18
Rep Power: 4
totalart is on a distinguished road
Quote:
Originally Posted by redAbbot View Post
I'm not having luck with the patch:

bash-3.2$ patch -p1<OpenFOAM-2.3.x-Mac.patch
patch unexpectedly ends in middle of line
patch: **** Only garbage was found in the patch input.


It's unclear to me if I have to install the SurfaceGCALFix patch, but I tried anyway and got a different error:

bash-3.2$ patch -p1<SurfaceCGALFix.patch
patching file applications/utilities/surface/surfaceFeatureExtract/surfaceFeatureExtract.C
Hunk #1 FAILED at 48.
1 out of 1 hunk FAILED -- saving rejects to file applications/utilities/surface/surfaceFeatureExtract/surfaceFeatureExtract.C.rej
I had some error in applying SurfaceGCALFix patch, so I assumed the patch is not needed for 2.3. Do we need?? When I look at the errors above during the install, it seems I need it. Have you managed to install?
totalart is offline   Reply With Quote

Old   April 10, 2014, 23:06
Default
  #25
New Member
 
nasir musa yakubu
Join Date: Mar 2014
Location: Birmingham
Posts: 11
Rep Power: 3
esujby is on a distinguished road
Quote:
Originally Posted by gschaider View Post
That and the output when you applied the regular patch-utility ("Reversed (or previously applied) patch detected!") lead me to the suspicion that you tried to apply the patch a second time. Could this be the case?
Hello gschaider,

It could be the case but i have always had the same result when i tried to apply the patch, always, i dont know why but i always did.

please can you advice me on how to clean up everything and all the applied patches and start the installation all over again, and advice me on which of the installation procedure is best suited for the new imac with mac maverick.

kind regards

nas
esujby is offline   Reply With Quote

Old   April 13, 2014, 09:28
Default
  #26
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by totalart View Post
I had some error in applying SurfaceGCALFix patch, so I assumed the patch is not needed for 2.3. Do we need?? When I look at the errors above during the install, it seems I need it. Have you managed to install?
This patch was only necessary for 2.2 as it hasbeen included into the 2.3 patch
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   April 13, 2014, 09:32
Default
  #27
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by esujby View Post
Hello gschaider,

It could be the case but i have always had the same result when i tried to apply the patch, always, i dont know why but i always did.

please can you advice me on how to clean up everything and all the applied patches and start the installation all over again, and advice me on which of the installation procedure is best suited for the new imac with mac maverick.

kind regards

nas
You can always reverse-apply the patch (see man-page) but you might see similar problems here ... only in reverse.

The "safest" (but also most painful) way would be to remove the directory altogether, get the original sources again and apply the patch on this clean directory (you don't have to remove the old directory. Just move it out of the way)
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   April 14, 2014, 20:20
Default Error in compiling
  #28
New Member
 
Pierluigi Morra
Join Date: Apr 2013
Posts: 25
Rep Power: 4
maCrobo is on a distinguished road
Hello everyone, I have some problems and I am very inexperienced, so I don't really know what I can do to try to fix them.

I followed the Wiki guide carefully, but the computer doesn't finish compiling OpenFOAM.

I downloaded OpenFOAM 2.3.x from git because I understood from previous posts that the patch presented in this thread is for that version; in fact I followed those instructions to download OpenFoam 2.3.x and the ThirdParty (as you can see on the instructions page it says ThirdParty-2.3.0).
Then I started to follow the Wiki guide carefully. I think I didn't miss anything. Once I launch ./Allwmake the process stops with a bunch of errors.

The first thing I thought is that I missed something written in the patch README file, but I did the --select part for the mpi (I chose openmpi-gcc46-fortran), I downloaded via Macports the files that take now the place of the old third party patch; I downloaded only one patch file called OpenFOAM-2.3.x-Mac.patch (I think it's correct).

I have the log file and I haven't closed my terminal window yet, so it has the results of the process. Anyway, attaching the log file is a bit easier for me, so I'm doing that; if you need more information let me know.

P.S.: everything took place under OSX 10.9.0

I had to split the log file because it was too heavy to be uploaded.
Attached Files
File Type: gz 1Log04_15_2014.log.gz (69.8 KB, 2 views)
File Type: gz 2Log_04_15_2014.log.gz (56.9 KB, 3 views)
maCrobo is offline   Reply With Quote

Old   April 15, 2014, 03:20
Default
  #29
Senior Member
 
Alexey Matveichev
Join Date: Aug 2011
Location: Nancy, France
Posts: 1,132
Rep Power: 20
alexeym will become famous soon enoughalexeym will become famous soon enough
Well, below are just guesses:

1. As far as I can see in the message, there is no need for ThirdParty source pack as you should install dependencies (OpenMPI, Scotch, CGAL, Boost, GMP, MPFR) with MacPorts. So I will skip errors you've got during Scotch build.

2. Are you sure that git clone was done without errors? You've got these lines in your logs:

Code:
could not open file PointHit.H for source file global/global.Cver due to No such file or directory
...
could not open file PointHit.H for source file primitives/globalIndexAndTransform/globalIndexAndTransform.C due to No such file or dire
ctory
...
Can you run

Code:
find . -name 'PointHit.H'
in OpenFOAM-2.3.x folder? Will it find the file?
alexeym is offline   Reply With Quote

Old   April 15, 2014, 05:18
Default
  #30
New Member
 
Pierluigi Morra
Join Date: Apr 2013
Posts: 25
Rep Power: 4
maCrobo is on a distinguished road
Quote:
Originally Posted by alexeym View Post
Well, below are just guesses:

Can you run

Code:
find . -name 'PointHit.H'
in OpenFOAM-2.3.x folder? Will it find the file?
I have to admit it was the first time I ever used that command. I did what you said and nothing happened, so I guess it doesn't find anything (I tried to find "Allwmake" and it gave me back a bunch of addresses).

When I downloaded I simply typed
Code:
git clone https://github.com/OpenFOAM/OpenFOAM-2.3.x.git
It seems that I removed the download, so the only thing I know is that it was complete because I manage to unzip it.

What else should I check?
maCrobo is offline   Reply With Quote

Old   April 15, 2014, 05:38
Default
  #31
Senior Member
 
Alexey Matveichev
Join Date: Aug 2011
Location: Nancy, France
Posts: 1,132
Rep Power: 20
alexeym will become famous soon enoughalexeym will become famous soon enough
Quote:
Originally Posted by maCrobo View Post
It seems that I removed the download, so the only thing I know is that it was complete because I manage to unzip it.
Sorry, can't understand the phrase. Why unzip? git clone will create source tree for you so there's no need to unzip anything.

Where did you clone the sources? I hope into the mounted image with case sensitive file system.

And as it seems there is no PointHit.H file, maybe you should clone repository once again.
alexeym is offline   Reply With Quote

Old   April 15, 2014, 06:25
Default
  #32
New Member
 
Pierluigi Morra
Join Date: Apr 2013
Posts: 25
Rep Power: 4
maCrobo is on a distinguished road
Quote:
Originally Posted by alexeym View Post
Sorry, can't understand the phrase. Why unzip? git clone will create source tree for you so there's no need to unzip anything.
Nevermind.

Quote:
Originally Posted by alexeym View Post
Where did you clone the sources? I hope into the mounted image with case sensitive file system.
Yes, as it says in the guide I linked. I opened the Utility Disk, created a sparse image with:

Format: Mac OS Extended (Case-sensitive)
Partition: Rigid Disk
Image format: Sparse
(note: Image Formate is not Sparse-bundle, I chose Sparse)

Then I downloaded everything, took the result and moved it in the mounted image.

Before, I said that I unzipped it, but I actually don't remember; anyway, I was able to get inside the folder. I also remember the clone wasn't directly done inside the Sparse Image, there's a high possibility I copied it there later. I'll try to start everything again by cloning it directly in the sparse image.
Do you have any other ideas?
maCrobo is offline   Reply With Quote

Old   April 15, 2014, 07:56
Default
  #33
Senior Member
 
Alexey Matveichev
Join Date: Aug 2011
Location: Nancy, France
Posts: 1,132
Rep Power: 20
alexeym will become famous soon enoughalexeym will become famous soon enough
Do I get you right:

- First you've created a disk image with case SENSITIVE file system as it is required by OpenFOAM's file naming conventions.
- Then you create a clone of repository on case INSENSITIVE file system (basically loosing part of the source tree).
- And then you move the damaged source tree from case INSENSITIVE FS to case SENSITIVE FS.

I don't see the point in creating image with case sensitive FS in the first place with this way of cloning repository.

You should execute 'git clone ...' inside the folder where you've mounted disk image. And then proceed further with build.
alexeym is offline   Reply With Quote

Old   April 15, 2014, 18:13
Default
  #34
New Member
 
Pierluigi Morra
Join Date: Apr 2013
Posts: 25
Rep Power: 4
maCrobo is on a distinguished road
Quote:
Originally Posted by alexeym View Post
Do I get you right:

- First you've created a disk image with case SENSITIVE file system as it is required by OpenFOAM's file naming conventions.
- Then you create a clone of repository on case INSENSITIVE file system (basically loosing part of the source tree).
- And then you move the damaged source tree from case INSENSITIVE FS to case SENSITIVE FS.

I don't see the point in creating image with case sensitive FS in the first place with this way of cloning repository.

You should execute 'git clone ...' inside the folder where you've mounted disk image. And then proceed further with build.
Yes, you got it.

I tried again. This time I executed the "git clone" inside the Case Sensitive Sparse Image, so I should have the complete file.

Unfortunately some other errors poped up. I attach the Log File (split into two parts because of size issues).

This time it seems the scotch error is one of the first ones; I tried to execute the command "sudo port install scotch" and it seems it is installed, the same for all the other "port" adds I need.

I'll repeat what I did: I created the sparse image (case Sensitive), "git clone" in it, download ThirdParty-2.3.0.tgz and open it in the Sparse Image (not inside the OpenFoam-2.3.x folder, but in the same folder where OpenFoam-2.3.x is); from there on I follow the Wiki Guide.

Notes:

- after installing openmpi-gcc46 through Macports, I execute "sudo port select --set mpi openmpi-gcc46-fortran" (as suggested earlier on this thread)

- point 7 of 4.2 of the Wiki guide: I don't have the "wmake/rules/darwinIntel64Gcc4*"

- point 4 of 4.3 of the Wiki guide: the end of the file is before the last line where is written something like "----------End of File" or after?

- I didn't do point 6 of 4.3 of the Wiki guide because I don't have that file and someone on this post has said that it is actually useless to do it in this version

- point 8 of 4.3 of the Wiki guide: I have a slightly different string, the following "L$(BOOST_ARCH_PATH)/lib -lboost_thread$(BOOST_THREAD_EXTENSION)" that I modify to have "L$(BOOST_ARCH_PATH)/lib -lboost_thread-mt$(BOOST_THREAD_EXTENSION)"
Attached Files
File Type: gz 1Log_04.15.2014.log.gz (51.2 KB, 5 views)
File Type: gz 2Log_04.15.2014.log.gz (45.9 KB, 3 views)
maCrobo is offline   Reply With Quote

Old   April 16, 2014, 04:11
Default
  #35
Senior Member
 
Alexey Matveichev
Join Date: Aug 2011
Location: Nancy, France
Posts: 1,132
Rep Power: 20
alexeym will become famous soon enoughalexeym will become famous soon enough
Well, I've looked through your logs and was able to find only a few errors:

1. During compilation of scotch

Code:
gcc-mp-4.6 -O3 -DCOMMON_FILE_COMPRESS_GZ -DCOMMON_RANDOM_FIXED_SEED -DSCOTCH_RENAME -Drestrict=__restrict -DSCOTCH_VERSION=6 -DSCOTCH_R
ELEASE=0 -DSCOTCH_PATCHLEVEL=0 dummysizes.c -o dummysizes -Xlinker --no-as-needed -lz -lm -lrt
ld: unknown option: --no-as-needed
collect2: ld returned 1 exit status
I'd rather surprised that you need to build scotch again as you've installed it through Macports. Any way Scotch decomposition seems to compile, though not sure it will be working.

2. During SloanRenumber compilation

Code:
+ wmake libso SloanRenumber
wmakeLnInclude: linking include files to ./lnInclude
Making dependency list for source file SloanRenumber.C
SOURCE=SloanRenumber.C ;  g++-mp-4.6 -m64 -fsignaling-nans  -ftrapping-math -DdarwinIntel64 -DWM_DP -Wall -Wextra -Wno-unused-parameter
 -Wold-style-cast -Wnon-virtual-dtor -O2  -DNoRepository -ftemplate-depth-100 -I/opt/local/include -I/Users/myName/OpenFOAM/OpenFOAM-2.
3.x/src/meshTools/lnInclude -I/Users/myName/OpenFOAM/OpenFOAM-2.3.x/src/parallel/decompose/decompositionMethods/lnInclude -I/Users/myNa
me/OpenFOAM/OpenFOAM-2.3.x/src/renumber/renumberMethods/lnInclude -IlnInclude -I. -I/Users/myName/OpenFOAM/OpenFOAM-2.3.x/src/OpenFOAM/
lnInclude -I/Users/myName/OpenFOAM/OpenFOAM-2.3.x/src/OSspecific/POSIX/lnInclude   -fPIC -Ddarwin -c $SOURCE -o Make/darwinIntel64Gcc46
DPOpt/SloanRenumber.o
ld: library not found for -lboost_thread-mt-mt
collect2: ld returned 1 exit status
make: *** [/Users/myName/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libSloanRenumber.dylib] Error 1
This is due to your last modification. Either you use

Code:
-L$(BOOST_ARCH_PATH)/lib -lboost_thread$(BOOST_THREAD_EXTENSION)
or

Code:
-L$(BOOST_ARCH_PATH)/lib -lboost_thread-mt
-mt actually is inside $(BOOST_THREAD_EXTENSION) variable.

3. And finally during compilation of driftFluxFoam

Code:
Undefined symbols for architecture x86_64:
  "Foam::twoPhaseMixture::twoPhaseMixture(Foam::fvMesh const&, Foam::dictionary const&)", referenced from:
      Foam::incompressibleTwoPhaseInteractingMixture::incompressibleTwoPhaseInteractingMixture(Foam::GeometricField<Foam::Vector<double
>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&) in incompres
sibleTwoPhaseInteractingMixture.o
      Foam::incompressibleTwoPhaseInteractingMixture::incompressibleTwoPhaseInteractingMixture(Foam::GeometricField<Foam::Vector<double
>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&) in incompres
sibleTwoPhaseInteractingMixture.o
ld: symbol(s) not found for architecture x86_64
collect2: ld returned 1 exit status
make[2]: *** [/Users/myName/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/bin/driftFluxFoam] Error 1
And this is due to incomplete Make/options file of this application. I guess they forgot to put -ltwoPhaseMixture in EXE_LIBS.

Also there is error message from Paraview but it's normal as you don't need to build Paraview on OS X.

There were no more errors in your log files.
alexeym is offline   Reply With Quote

Old   April 16, 2014, 04:41
Default
  #36
New Member
 
Pierluigi Morra
Join Date: Apr 2013
Posts: 25
Rep Power: 4
maCrobo is on a distinguished road
Quote:
Originally Posted by alexeym View Post
Well, I've looked through your logs and was able to find only a few errors:
Many thanks, man. Really!

Quote:
Originally Posted by alexeym View Post

1. During compilation of scotch

Code:
gcc-mp-4.6 -O3 -DCOMMON_FILE_COMPRESS_GZ -DCOMMON_RANDOM_FIXED_SEED -DSCOTCH_RENAME -Drestrict=__restrict -DSCOTCH_VERSION=6 -DSCOTCH_R
ELEASE=0 -DSCOTCH_PATCHLEVEL=0 dummysizes.c -o dummysizes -Xlinker --no-as-needed -lz -lm -lrt
ld: unknown option: --no-as-needed
collect2: ld returned 1 exit status
I'd rather surprised that you need to build scotch again as you've installed it through Macports. Any way Scotch decomposition seems to compile, though not sure it will be working.
I don't know what to do here, because I actually don't know what files/folders I should modify/move to fix the problem as scotch is installed (...apparently).

Quote:
Originally Posted by alexeym View Post

2. During SloanRenumber compilation

Code:
+ wmake libso SloanRenumber
wmakeLnInclude: linking include files to ./lnInclude
Making dependency list for source file SloanRenumber.C
SOURCE=SloanRenumber.C ;  g++-mp-4.6 -m64 -fsignaling-nans  -ftrapping-math -DdarwinIntel64 -DWM_DP -Wall -Wextra -Wno-unused-parameter
 -Wold-style-cast -Wnon-virtual-dtor -O2  -DNoRepository -ftemplate-depth-100 -I/opt/local/include -I/Users/myName/OpenFOAM/OpenFOAM-2.
3.x/src/meshTools/lnInclude -I/Users/myName/OpenFOAM/OpenFOAM-2.3.x/src/parallel/decompose/decompositionMethods/lnInclude -I/Users/myNa
me/OpenFOAM/OpenFOAM-2.3.x/src/renumber/renumberMethods/lnInclude -IlnInclude -I. -I/Users/myName/OpenFOAM/OpenFOAM-2.3.x/src/OpenFOAM/
lnInclude -I/Users/myName/OpenFOAM/OpenFOAM-2.3.x/src/OSspecific/POSIX/lnInclude   -fPIC -Ddarwin -c $SOURCE -o Make/darwinIntel64Gcc46
DPOpt/SloanRenumber.o
ld: library not found for -lboost_thread-mt-mt
collect2: ld returned 1 exit status
make: *** [/Users/myName/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/lib/libSloanRenumber.dylib] Error 1
This is due to your last modification. Either you use

Code:
-L$(BOOST_ARCH_PATH)/lib -lboost_thread$(BOOST_THREAD_EXTENSION)
or

Code:
-L$(BOOST_ARCH_PATH)/lib -lboost_thread-mt
-mt actually is inside $(BOOST_THREAD_EXTENSION) variable.
Well, I'll change this and try again.

Quote:
Originally Posted by alexeym View Post

3. And finally during compilation of driftFluxFoam

Code:
Undefined symbols for architecture x86_64:
  "Foam::twoPhaseMixture::twoPhaseMixture(Foam::fvMesh const&, Foam::dictionary const&)", referenced from:
      Foam::incompressibleTwoPhaseInteractingMixture::incompressibleTwoPhaseInteractingMixture(Foam::GeometricField<Foam::Vector<double
>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&) in incompres
sibleTwoPhaseInteractingMixture.o
      Foam::incompressibleTwoPhaseInteractingMixture::incompressibleTwoPhaseInteractingMixture(Foam::GeometricField<Foam::Vector<double
>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&) in incompres
sibleTwoPhaseInteractingMixture.o
ld: symbol(s) not found for architecture x86_64
collect2: ld returned 1 exit status
make[2]: *** [/Users/myName/OpenFOAM/OpenFOAM-2.3.x/platforms/darwinIntel64Gcc46DPOpt/bin/driftFluxFoam] Error 1
And this is due to incomplete Make/options file of this application. I guess they forgot to put -ltwoPhaseMixture in EXE_LIBS.
I guess I can't do anything for that, right?
maCrobo is offline   Reply With Quote

Old   April 16, 2014, 04:53
Default
  #37
Senior Member
 
Alexey Matveichev
Join Date: Aug 2011
Location: Nancy, France
Posts: 1,132
Rep Power: 20
alexeym will become famous soon enoughalexeym will become famous soon enough
Quote:
Many thanks, man. Really!
It was not hard as I've just searched 'error' word in the files.

Quote:
I don't know what to do here, because I actually don't know what files/folders I should modify/move to fix the problem as scotch is installed (...apparently).
You can ignore this error right now, if there will be problem with scotch mesh decomposition method then you can start to worry and try to solve the problem.


Quote:
I guess I can't do anything for that, right?
Well, you can edit applications/solvers/multiphase/driftFluxFoam/Make/options file, add '-ltwoPhaseMixture \' line after 'EXE_LIBS = \' line and run Allwmake in applications/solvers/multiphase/driftFluxFoam folder. Or you can ignore the error if you don't plan to use this solver.
alexeym is offline   Reply With Quote

Old   April 16, 2014, 05:19
Default
  #38
New Member
 
Pierluigi Morra
Join Date: Apr 2013
Posts: 25
Rep Power: 4
maCrobo is on a distinguished road
Quote:
Originally Posted by alexeym View Post
Well, you can edit applications/solvers/multiphase/driftFluxFoam/Make/options file, add '-ltwoPhaseMixture \' line after 'EXE_LIBS = \' line and run Allwmake in applications/solvers/multiphase/driftFluxFoam folder.
I did it and when I run ./Allwmake (while in "applications/solvers/multiphase/driftFluxFoam" folder) I have this answer on the Terminal:

Code:
+ wmake libso mixtureViscosityModels
./Allwmake: line 5: wmake: command not found
+ wmake libso relativeVelocityModels
./Allwmake: line 6: wmake: command not found
+ wmake
./Allwmake: line 7: wmake: command not found
maCrobo is offline   Reply With Quote

Old   April 16, 2014, 05:24
Default
  #39
Senior Member
 
Alexey Matveichev
Join Date: Aug 2011
Location: Nancy, France
Posts: 1,132
Rep Power: 20
alexeym will become famous soon enoughalexeym will become famous soon enough
And did you 'source etc/bashrc' before running the script? It seems that environment variables are not set up.
alexeym is offline   Reply With Quote

Old   April 16, 2014, 06:21
Default
  #40
New Member
 
Pierluigi Morra
Join Date: Apr 2013
Posts: 25
Rep Power: 4
maCrobo is on a distinguished road
I didn't know of this source thing either... The problem here is that I don't understand the logic behind all these things I'm doing to compile OpenFoam... Anyway, I did it and it compiled that specific solver.

I have another question: should have I downloaded the patch directly in the Case Sensitive Image, or it is ok that I downloaded on my Downloads system folder where I usually download everything?
maCrobo is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
y+ and u+ values with low-Re RANS turbulence models: utility + testcase florian_krause OpenFOAM 108 June 9, 2015 08:13
Possible Bug in pimpleFoam (or createPatch) (or fluent3DMeshToFoam) cfdonline2mohsen OpenFOAM 3 October 21, 2013 09:28
CheckMeshbs errors ivanyao OpenFOAM Running, Solving & CFD 2 March 11, 2009 03:34
Import gmsh msh to Foam adorean Open Source Meshers: Gmsh, Netgen, CGNS, ... 24 April 27, 2005 08:19
Multicomponent fluid Andrea CFX 2 October 11, 2004 05:12


All times are GMT -4. The time now is 21:53.